Page MenuHomePhabricator

Avoid having two h1 headings on Wikidata
Closed, ResolvedPublic1 Story Points

Description

Vector currently has 2 h1 headings - the default one and the Wikidata one. This will confuse web crawlers.
In mobile the heading shows twice because of this hack.

Please use onOutputPageParserOutput hook and set the page title like this instead to generate the headings:
$outputPage->setPageTitle( 'Universe <span>(Q1)</span>' );

Event Timeline

Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Bene added a subscriber: Bene.

This patch might fix the issue: https://gerrit.wikimedia.org/r/#/c/203681/

I'm however not sure if we want to inject our html in MediaWiki's h1 or if we rather want to drop that h1 completely.

Bene claimed this task.Apr 12 2015, 7:18 PM

Change 203681 had a related patch set uploaded (by Florianschmidtwelzow):
Put the label into the .firstHeading element

https://gerrit.wikimedia.org/r/203681

Bene renamed this task from Wikidata should use onOutputPageParserOutput to Avoid having two h1 headings on Wikidata.Apr 13 2015, 11:58 AM
Bene set Security to None.
Tobi_WMDE_SW edited a custom field.Jun 2 2015, 5:04 PM
Bene closed this task as Resolved.Jun 12 2015, 10:41 AM
MaxSem removed a subscriber: MaxSem.Sep 14 2015, 9:13 AM